import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class ThalesContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    escrowThales({ address, network }: ContractOpts): import("./ethers").EscrowThales;
    lpStaking({ address, network }: ContractOpts): import("./ethers").LpStaking;
    overtimeAmmLp({ address, network }: ContractOpts): import("./ethers").OvertimeAmmLp;
    stakingThales({ address, network }: ContractOpts): import("./ethers").StakingThales;
    vaults({ address, network }: ContractOpts): import("./ethers").Vaults;
}
export type { EscrowThales } from './ethers';
export type { LpStaking } from './ethers';
export type { OvertimeAmmLp } from './ethers';
export type { StakingThales } from './ethers';
export type { Vaults } from './ethers';
